Loading...
Searching...
No Matches
caf::detail::simple_actor_clock::delayed_event Struct Reference

An event with a timeout attached to it. More...

`#include <simple_actor_clock.hpp>`

Inheritance diagram for caf::detail::simple_actor_clock::delayed_event:

## Public Member Functions

| delayed_event (event_type type, time_point due)
Public Member Functions inherited from caf::detail::simple_actor_clock::event
| event (event_type t)

## Public Attributes

time_point | due
| Timestamp when this event should trigger.
actor_lookup_map::iterator | backlink
| Links back to the actor lookup map.
Public Attributes inherited from caf::detail::simple_actor_clock::event
event_type | subtype
| Identifies the actual type of this object.

## Detailed Description

An event with a timeout attached to it.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/simple_actor_clock.hpp